aboutsummaryrefslogtreecommitdiff
path: root/security/ossec-hids-server/files/patch-InstallServer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'security/ossec-hids-server/files/patch-InstallServer.sh')
-rw-r--r--security/ossec-hids-server/files/patch-InstallServer.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/security/ossec-hids-server/files/patch-InstallServer.sh b/security/ossec-hids-server/files/patch-InstallServer.sh
new file mode 100644
index 000000000000..f1f96cda5eb5
--- /dev/null
+++ b/security/ossec-hids-server/files/patch-InstallServer.sh
@@ -0,0 +1,20 @@
+diff -ruN src/InstallServer.sh.orig src/InstallServer.sh
+--- src/InstallServer.sh.orig Sun Jan 7 23:38:16 2007
++++ src/InstallServer.sh Thu Apr 5 15:58:08 2007
+@@ -255,12 +255,12 @@
+
+ ls ../etc/ossec.mc > /dev/null 2>&1
+ if [ $? = 0 ]; then
+- cp -pr ../etc/ossec.mc ${DIR}/etc/ossec.conf
++ cp -pr ../etc/ossec.mc ${DIR}/etc/ossec.conf.sample
+ else
+- cp -pr ../etc/ossec-server.conf ${DIR}/etc/ossec.conf
++ cp -pr ../etc/ossec-server.conf ${DIR}/etc/ossec.conf.sample
+ fi
+-chown root:${GROUP} ${DIR}/etc/ossec.conf
+-chmod 440 ${DIR}/etc/ossec.conf
++chown root:${GROUP} ${DIR}/etc/ossec.conf.sample
++chmod 440 ${DIR}/etc/ossec.conf.sample
+
+
+